Batch Update Chargers
PUT
/tenant/{tenant}/charger
const url = 'https://api.exolink.cloud/tenant/example/charger';const options = { method: 'PUT', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"chargerIds":[1],"displayName":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request PUT \ --url https://api.exolink.cloud/tenant/example/charger \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "chargerIds": [ 1 ], "displayName": "example" }'Update multiple chargers at once
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”tenant
required
string
Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
One of:
Array<object>
object
id
integer
displayName
string
object
chargerIds
Array<integer>
displayName
string
Examplegenerated
{ "chargerIds": [ 1 ], "displayName": "example"}Responses
Section titled “Responses”Chargers updated successfully